# 62. Мутация: поделиться фермами

Пакетная передача доступа к фермам пользователям внутри «Организации» или внешним пользователям. Существует два варианта применения мутации. Первый вариант — пакетный доступ к «Фермам» по списку адресов электронной почты.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    название
    farmOwnership
    датаСоздания
    updatedDate
    email
  }
}

```

{% endcode %}

А второй вариант — установить флаг «allFarms=true» для списка «Пользователей» в «Организации», что означает, что все новые поля/фермы внутри «Организации» будут доступны для этих «Пользователей».

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    название
    farmOwnership
    датаСоздания
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/62.-mutaciya-podelitsya-fermami.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
